<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@28290=63</action>
    </script>
  </cheat>

  <cheat desc="Enable Dark Sword"> <comment>Move cursor to '?' then press a button to select Dark Sword</comment>
    <script state="on">
      <action>temp0 =maincpu.pb@28812</action>
    </script>
    <script state="run">
      <action>maincpu.pb@28812=01|(maincpu.pb@28812 BAND ~01)</action>
    </script>
    <script state="off">
      <action>maincpu.pb@28812=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Enable Slave + Fairy"> <comment>Move cursor to 'Miclus' then press a button to select Fairy</comment>
    <script state="on">
      <action>temp0 =maincpu.pb@28812</action>
    </script>
    <script state="run">
      <action>maincpu.pb@28812=02|(maincpu.pb@28812 BAND ~02)</action>
    </script>
    <script state="off">
      <action>maincpu.pb@28812=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Select Current Medal">
    <parameter>
      <item value="0x00">Normal Medal</item>
      <item value="0xFF">Special Medal</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@28307=param</action>
    </script>
  </cheat>

  <cheat desc="Always Max Small Medal Rank">
    <script state="run">
      <action>maincpu.pb@28302=08</action>
    </script>
  </cheat>

  <cheat desc="Always Max Middle Medal Rank">
    <script state="run">
      <action>maincpu.pb@28303=08</action>
    </script>
  </cheat>

  <cheat desc="Always Max Big Medal Rank">
    <script state="run">
      <action>maincpu.pb@28304=08</action>
    </script>
  </cheat>

  <cheat desc="Always Max Special Medal Rank">
    <script state="run">
      <action>maincpu.pb@28305=09</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@284F9=0F</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL1">
    <script state="run">
      <action>maincpu.pb@284FA=07</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <parameter>
      <item value="0x01">Enabled</item>
      <item value="0x02">Disabled</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@((maincpu.pw@28504)+4B)=param</action>
    </script>
  </cheat>

  <cheat desc="Always Maximum Shot Power PL1">
    <script state="run">
      <action>maincpu.pb@284FD=04</action>
    </script>
  </cheat>

  <cheat desc="Always Max Sub Weapon Power PL1">
    <script state="run">
      <action>maincpu.pb@284FF=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Slave Energy - 1st PL1">
    <script state="run">
      <action>maincpu.pb@((maincpu.pd@28534)+8C)=10</action>
    </script>
  </cheat>

  <cheat desc="Infinite Slave Energy - 2nd PL1">
    <script state="run">
      <action>maincpu.pb@((maincpu.pd@28538)+8C)=10</action>
    </script>
  </cheat>

  <cheat desc="Select Slave Formation PL1">
    <parameter>
      <item value="0x00">Normal</item>
      <item value="0x01">Search</item>
      <item value="0x02">Front</item>
      <item value="0x03">Fix</item>
      <item value="0x04">Rolling</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@2853D=param</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire (Normal) PL1"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@364D4=00|(maincpu.pb@364D4 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire (Special) PL1"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@364D4=00|(maincpu.pb@364D4 BAND ~10)</action>
      <action>maincpu.pb@2A180=00</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire (Crazy) PL1"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@364D4=00|(maincpu.pb@364D4 BAND ~10)</action>
      <action>maincpu.pb@2A180=00</action>
      <action>maincpu.pb@2851A=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@2854F=0F</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL2">
    <script state="run">
      <action>maincpu.pb@28550=07</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <parameter>
      <item value="0x01">Enabled</item>
      <item value="0x02">Disabled</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@((maincpu.pw@2855A)+4B)=param</action>
    </script>
  </cheat>

  <cheat desc="Always Maximum Shot Power PL2">
    <script state="run">
      <action>maincpu.pb@28553=04</action>
    </script>
  </cheat>

  <cheat desc="Always Max Sub Weapon Power PL2">
    <script state="run">
      <action>maincpu.pb@28555=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Slave Energy - 1st PL2">
    <script state="run">
      <action>maincpu.pb@((maincpu.pd@2858A)+8C)=10</action>
    </script>
  </cheat>

  <cheat desc="Infinite Slave Energy - 2nd PL2">
    <script state="run">
      <action>maincpu.pb@((maincpu.pd@2858E)+8C)=10</action>
    </script>
  </cheat>

  <cheat desc="Select Slave Formation PL2">
    <parameter>
      <item value="0x00">Normal</item>
      <item value="0x01">Search</item>
      <item value="0x02">Front</item>
      <item value="0x03">Fix</item>
      <item value="0x04">Rolling</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@28593=param</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire (Normal) PL2"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@364D5=00|(maincpu.pb@364D5 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire (Special) PL2"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@364D5=00|(maincpu.pb@364D5 BAND ~10)</action>
      <action>maincpu.pb@2A200=00</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire (Crazy) PL2"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@364D5=00|(maincpu.pb@364D5 BAND ~10)</action>
      <action>maincpu.pb@2A200=00</action>
      <action>maincpu.pb@28570=00</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
